<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout}"
>
  <head>
    <meta charset="UTF-8" />
    <title>SI-BKD Biodata</title>
  </head>
  <body>
    <div layout:fragment="main" class="container">
      <div class="row justify-content-center">
        <div class="col-md-3" align="right">
          <img
            src="https://dummyimage.com/sqrpop"
            width="250"
            height="250"
            class="img-thumbnail mb-2"
            alt="..."
            th:if="${biodata.getProfil() == null}"
          />
          <img
            th:src="@{/upload/{foto}/biodata/ (foto =${biodata.getId()})}"
            width="250"
            height="250"
            class="img-thumbnail mb-2"
            alt="..."
            th:if="${biodata.getProfil() != null}"
          />
          <!--            <button class="btn btn-outline-primary align-content-end">Ubah Foto</button>-->
        </div>
        <div class="col-md-7 table-responsive">
          <!--            <form method="post" th:action="@{/biodata/simpan}" th:object="${biodata}" enctype="multipart/form-data">-->
          <div class="row mb-2">
            <div class="col-md-6">
              <h3 class="text-black">Biodata</h3>
            </div>
            <div class="col-md-6" align="right">
              <a class="btn btn-success" th:href="@{/biodata/edit}"
                >Edit Biodata</a
              >
            </div>
          </div>

          <table class="table table-striped table-bordered mb-5">
            <tbody>
              <tr>
                <td class="align-middle p-2" width="40%">Nama Lengkap</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getNama()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Email</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getEmail()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Foto</td>
                <td class="align-middle p-2">
                  <a
                    target="_blank"
                    th:if="${biodata.namaFoto != null}"
                    th:href="@{/upload/{foto}/biodata/ (foto =${biodata.id})}"
                    th:text="${biodata.namaFoto}"
                    class="link-primary"
                    >Nama file foto bisa di download</a
                  >
                  <a th:if="${biodata.namaFoto == null}" class="link-primary"
                    >Belum Mengunggah File</a
                  >
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">NIDN</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getNidn()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Kartu NIDN</td>
                <td class="align-middle p-2">
                  <a
                    th:if="${biodata.namaKartuNidn != null}"
                    target="_blank"
                    th:href="@{/upload/{foto}/kartu/ (foto =${biodata.id})}"
                    th:text="${biodata.namaKartuNidn}"
                    class="link-primary"
                    >Nama file NIDN</a
                  >
                  <a
                    th:if="${biodata.namaKartuNidn == null}"
                    class="link-primary"
                    >Belum Mengunggah File</a
                  >
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Nomor Sertifikat Dosen</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getNomorSertifikat()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Sertifikat Dosen</td>
                <td class="align-middle p-2">
                  <a
                    th:if="${biodata.namaSertifikatDosen != null}"
                    th:text="${biodata.namaSertifikatDosen}"
                    target="_blank"
                    th:href="@{/upload/{foto}/sertifikat/ (foto =${biodata.id})}"
                    class="link-primary"
                    >link file sertifikat dosen</a
                  >
                  <a
                    th:if="${biodata.namaSertifikatDosen == null}"
                    class="link-primary"
                    >Belum Mengunggah File</a
                  >
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Perguruan Tinggi</td>
                <td class="align-middle p-2">
                  <span
                    th:text="${biodata.getPerguruanTinggi().getNamaPerguruanTinggi()}"
                  ></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Fakultas</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getFakultas()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Program Studi</td>
                <td class="align-middle p-2">
                  <span
                    th:if="${biodata.prodi != null}"
                    th:text="${biodata.prodi.namaProgramStudi}"
                  ></span>
                  <span
                    th:if="${biodata.prodi == null}"
                    th:text="${'-'}"
                  ></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Nomor Telepon</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getTelepon()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Alamat</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getAlamat()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Jabatan Struktural (DT)</td>
                <td class="align-middle p-2">
                  <span
                    th:text="${biodata.jabatanStruktural.namaJabatanStruktural}"
                  ></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">SK DT</td>
                <td class="align-middle p-2">
                  <a
                    th:if="${biodata.namaSkdt != null}"
                    th:text="${biodata.namaSkdt}"
                    class="link-primary"
                    target="_blank"
                    th:href="@{/upload/{foto}/skdt/ (foto =${biodata.id})}"
                    >link file SK DT</a
                  >
                  <a th:if="${biodata.namaSkdt == null}" class="link-primary"
                    >Belum Mengunggah File</a
                  >
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Jabatan Fungsional</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getJabatanFungsional()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">SK Jafung Terakhir</td>
                <td class="align-middle p-2">
                  <a
                    th:if="${biodata.namaJafung != null}"
                    th:text="${biodata.namaJafung}"
                    class="link-primary"
                    target="_blank"
                    th:href="@{/upload/{foto}/jafung/ (foto =${biodata.id})}"
                    >link file Jabatan fungsional</a
                  >
                  <a th:if="${biodata.namaJafung == null}" class="link-primary"
                    >Belum Mengunggah File</a
                  >
                </td>
              </tr>
            </tbody>
          </table>

          <h3 class="text-success">Riwayat Pendidikan</h3>
          <table class="table table-bordered table-striped">
            <tbody>
              <tr>
                <td colspan="2"><span class="text-success">Sarjana</span></td>
              </tr>
              <tr>
                <td class="align-middle p-2" width="40%">Judul Skripsi</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getJudulSkripsi()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Ijasah S1</td>
                <td class="align-middle p-2">
                  <a
                    th:if="${biodata.namaIjazahs1 != null}"
                    th:text="${biodata.namaIjazahs1}"
                    class="link-primary"
                    target="_blank"
                    th:href="@{/upload/{foto}/s1/ (foto =${biodata.id})}"
                    >link file Ijasah</a
                  >
                  <a
                    th:if="${biodata.namaIjazahs1 == null}"
                    class="link-primary"
                    >Belum Mengunggah File</a
                  >
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Perguruan Tinggi</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getPerguruans1()}"></span>
                </td>
              </tr>

              <tr>
                <td colspan="2">
                  <span class="text-success">Pascasarjana</span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Judul Tesis</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getJudulTesis()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Ijasah S2</td>
                <td class="align-middle p-2">
                  <a
                    th:if="${biodata.namaIjazahs2 != null}"
                    th:text="${biodata.namaIjazahs2}"
                    class="link-primary"
                    target="_blank"
                    th:href="@{/upload/{foto}/s2/ (foto =${biodata.id})}"
                    >link file tesis</a
                  >
                  <a
                    th:if="${biodata.namaIjazahs2 == null}"
                    class="link-primary"
                    >Belum Mengunggah File</a
                  >
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Perguruan Tinggi</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getPerguruans2()}"></span>
                </td>
              </tr>
              <tr>
                <td colspan="2"><span class="text-success">Doktoral</span></td>
              </tr>
              <tr>
                <td class="align-middle p-2">Judul Disertasi</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getJudulDisertasi()}"></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Ijasah S3</td>
                <td class="align-middle p-2">
                  <a
                    th:if="${biodata.namaIjazahs3 != null}"
                    th:text="${biodata.namaIjazahs3}"
                    class="link-primary"
                    target="_blank"
                    th:href="@{/upload/{foto}/s3/ (foto =${biodata.id})}"
                    >Link file ijasah S3</a
                  >
                  <a
                    th:if="${biodata.namaIjazahs3 == null}"
                    class="link-primary"
                    >Belum Mengunggah File</a
                  >
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2">Perguruan Tinggi</td>
                <td class="align-middle p-2">
                  <span th:text="${biodata.getPerguruans3()}"></span>
                </td>
              </tr>
            </tbody>
          </table>
          <!--            </form>-->

          <div class="row mb-2">
            <div class="col-md-12">
              <div class="d-flex justify-content-between">
                <h3 class="text-success">Asesor</h3>
                <button
                  class="btn btn-success btn-sm"
                  data-bs-toggle="modal"
                  data-bs-target="#modalAsesor"
                >
                  Setting Asesor
                </button>

                <div
                  class="modal fade"
                  id="modalAsesor"
                  tabindex="-1"
                  aria-labelledby="exampleModalLabel"
                  aria-hidden="true"
                >
                  <div class="modal-dialog">
                    <form
                      class="form-horizontal"
                      th:action="@{/biodata/ganti-asesor}"
                      th:object="${dosen}"
                      method="post"
                      enctype="multipart/form-data"
                    >
                      <div class="modal-content">
                        <div class="modal-header">
                          <h1 class="modal-title fs-5" id="exampleModalLabel">
                            Modal title
                          </h1>
                          <button
                            type="button"
                            class="btn-close"
                            data-bs-dismiss="modal"
                            aria-label="Close"
                          ></button>
                        </div>
                        <div class="modal-body">
                          <table class="table table-bordered table-striped">
                            <tbody>
                              <tr>
                                <td class="align-middle p-2" width="40%">
                                  Asesor 1
                                </td>
                                <td class="align-middle p-2">
                                  <select
                                    class="form-select"
                                    name="asesorSatu"
                                    th:field="*{asesorSatu}"
                                    id="asesorSatu"
                                    aria-label="Default select example"
                                  >
                                    <option
                                      th:each="data : ${listAsesor}"
                                      th:text="${data.getNamaLengkap()}"
                                      th:value="${data.id}"
                                    >
                                      One
                                    </option>
                                  </select>
                                </td>
                              </tr>
                              <tr>
                                <td class="align-middle p-2" width="40%">
                                  Asesor 2
                                </td>
                                <td class="align-middle p-2">
                                  <select
                                    class="form-select"
                                    name="asesorDua"
                                    th:field="*{asesorDua}"
                                    id="asesorDua"
                                    aria-label="Default select example"
                                  >
                                    <option
                                      th:each="data2 : ${listAsesor}"
                                      th:text="${data2.getNamaLengkap()}"
                                      th:value="${data2.id}"
                                    >
                                      One
                                    </option>
                                  </select>
                                </td>
                              </tr>
                            </tbody>
                          </table>
                          <input type="hidden" name="id" th:field="*{id}" />
                          <input
                            type="hidden"
                            name="perguruanTinggi"
                            th:field="*{perguruanTinggi}"
                          />
                          <input
                            type="hidden"
                            name="namaLengkap"
                            th:field="*{nama}"
                          />
                          <input
                            type="hidden"
                            name="email"
                            th:field="*{email}"
                          />
                          <input
                            type="hidden"
                            name="telepon"
                            th:field="*{telepon}"
                          />
                          <input
                            type="hidden"
                            name="status"
                            th:field="*{status}"
                          />
                          <input
                            type="hidden"
                            name="jabatanStruktural"
                            th:field="*{jabatanStruktural}"
                          />
                          <input type="hidden" name="user" th:field="*{user}" />
                        </div>
                        <div class="modal-footer">
                          <button
                            type="button"
                            class="btn btn-secondary"
                            data-bs-dismiss="modal"
                          >
                            Close
                          </button>
                          <button type="submit" class="btn btn-primary">
                            Save changes
                          </button>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <table class="table table-bordered table-striped">
            <tbody>
              <tr>
                <td class="align-middle p-2" width="40%">Asesor 1</td>
                <td class="align-middle p-2">
                  <span
                    th:if="${dosen.getAsesorSatu() != null}"
                    th:text="${dosen.getAsesorSatu().getNamaLengkap()}"
                  ></span>
                </td>
              </tr>
              <tr>
                <td class="align-middle p-2" width="40%">Asesor 2</td>
                <td class="align-middle p-2">
                  <span
                    th:if="${dosen.getAsesorDua() != null}"
                    th:text="${dosen.getAsesorDua().getNamaLengkap()}"
                  ></span>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </body>
</html>
<script th:inline="javascript">
  /*<![CDATA[*/
  $(document).ready(function () {
    // alert('Hello')
  });

  $("#selectsatu").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });

  $("#selectdua").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });

  $("#selecttiga").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });
  $("#selectempat").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });

  $("#asesorSatu").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });

  $("#asesorDua").select2({
    theme: "bootstrap-5",
    width: $(this).data("width")
      ? $(this).data("width")
      : $(this).hasClass("w-100")
      ? "100%"
      : "style",
    placeholder: $(this).data("placeholder"),
  });
  /*]]>*/
</script>
